aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/contrib/patch-kernel-builtin.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/patch-kernel-builtin.sh')
-rwxr-xr-xcontrib/patch-kernel-builtin.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/contrib/patch-kernel-builtin.sh b/contrib/patch-kernel-builtin.sh
new file mode 100755
index 0000000..8229762
--- /dev/null
+++ b/contrib/patch-kernel-builtin.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+K="$1"
+WG="$(readlink -f "$(dirname "$(readlink -f "$0")")/../src/")"
+
+if [[ ! -e $K/net/Kconfig ]]; then
+ echo "You must specify the location of kernel sources as the first argument." >&2
+ exit 1
+fi
+
+sed -i "/^if NET/a source \"$WG/Kconfig\"" "$K/net/Kconfig"
+echo "obj-y += ../../../../../../../../../../../../../../../../../../../../../..$WG/" >> "$K/net/Makefile"